Bug 2208 - Error appears after setting Target Framework dropdown to Mono for Android 2.1 for the application Buttons.
Summary: Error appears after setting Target Framework dropdown to Mono for Android 2.1...
Status: VERIFIED DUPLICATE of bug 2491
Alias: None
Product: Android
Classification: Xamarin
Component: General ()
Version: 4.0
Hardware: PC Windows
: High normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-11-28 02:33 UTC by Jatin
Modified: 2013-05-23 07:30 UTC (History)
9 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot for the bug. (233.90 KB, image/jpeg)
2011-11-28 02:33 UTC, Jatin
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED DUPLICATE of bug 2491

Description Jatin 2011-11-28 02:33:58 UTC
Created attachment 952 [details]
Screenshot for the bug.

Step To Reproduce:

1.Launch the MonoDevelop.
2.Click on "Start a New Solution" link.
3.Choose C# > Mono for Android in left hand panel.
4.Select Mono for Android Application from the center panel.
5.Open the solution for the sample application Buttons.
6.Set Target Framework dropdown to Mono for Android 2.1. 
8.Run the application on API-7.
9.Observe that error appears.

Actual result:
After setting Target Framework dropdown to Mono for Android 2.1, when Run the application 'Buttons' on API-7, it gives the error: "There is not enough storage space on the device to store the package". Refer to the attached screenshot.

Expected result:
Error should not appear and the application shoult run successfully.

Environment:
MonoDevelop 2.8.2 with Addin 3.9.9.4
Mono for Android 4.0
Windows 7
Comment 1 narayanp 2011-11-28 04:55:36 UTC
This issue also exists on Snowleopard when we run the application on API7.
Comment 2 narayanp 2011-11-28 06:20:26 UTC
Same issue is occurring when we run the "Hello M4A" application on API 7
Comment 3 narayanp 2011-11-28 06:50:43 UTC
Same issue is occurring when we run the "HelloWorld" application on API 7
Comment 4 narayanp 2011-11-28 09:03:20 UTC
Same issue is occurring when we run the "MultoResolution" application on API 7
Comment 5 narayanp 2011-11-28 09:54:36 UTC
Same issue is occurring when we run the "SkeltonApp" application on API 7
Comment 6 Jonathan Pobst 2011-11-28 18:10:51 UTC
If there isn't enough space on your emulator, you need to delete stuff from your emulator until you have space.

Settings->Applications->Manage Applications
Comment 7 Jatin 2011-11-29 07:02:25 UTC
Hi Jonathan,

I deleted the stuff from the emulator API-7 and still the same error is appearing.

Moreover, I tried this on the fresh emulator of API-7, still the same error appearing.

Thanks
Jatin
Comment 8 Jatin 2011-11-29 10:07:21 UTC
Also on Mac 10.7 (Lion) it is working fine on API-7.
Comment 9 Atin 2011-12-02 08:52:55 UTC
We RUN the HelloM4A application in Debug/Release mode on API 7 on Emulator and got the below error:

Installing the platform framework
1320 KB/s (13169430 bytes in 9.742s)
	pkg: /data/local/tmp/Mono.Android.Platform.apk
Failure [INSTALL_FAILED_OLDER_SDK]

Installing package
482 KB/s (52162 bytes in 0.105s)
	pkg: /data/local/tmp/HelloM4A.HelloM4A-Signed.apk
Failure [INSTALL_FAILED_OLDER_SDK]

While on other API this app is working fine.

We change the Target framework to 2.1 and then RUN this application again, now we are getting There is not enough space in Emulator while we we deleted stuffs from the Emulator.

Environments:
Mono for Android 4.0-1
Mono Develop 2.8.4-1
Mac 10.7(Lion)
API 7 in Emulator
Comment 10 Atin 2011-12-05 05:16:01 UTC
Intially we RUN the TexturedCube application in API 7 in Debug/Release mode on Emulator in Target Framework 2.2 and got the below mentioned errors:

nstalling package
2077 KB/s (3543351 bytes in 1.665s)
	pkg: /data/local/tmp/mono.samples.texturedcube-Signed.apk
Failure [INSTALL_FAILED_OLDER_SDK]

Installing assemblies
77% complete
100% complete

Upload complete

Then we change the target framework and RUN the application now we got below errors:
/Library/Frameworks/Mono.framework/External/xbuild/Novell/Novell.MonoDroid.Common.targets: Error: Tool exited with code: 1. Output: /Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_width' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_height' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_width' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_width' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_height' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_width' with value 'match_parent').
/Users/imac/Desktop/30 Nov/xamarin-monodroid-samples-35a872e/xamarin-monodroid-samples-35a872e/TexturedCube/obj/Release/res/layout/main.xml:14: error: Error: String types not allowed (at 'layout_height' with value 'match_parent').
 (TexturedCube)

Environments:
Lion 10.6
Mono for Android 4.0
Mono Develop 2.8.4
Comment 11 Saurabh 2011-12-13 04:42:16 UTC
Same issue is occurring when we run the "Button" application on API 7

Environment:
MT 5.0.4
MD 2.8.5
M4A 4.0.1
Snowleopard 10.6
Comment 12 Saurabh 2011-12-13 06:09:36 UTC
Same issue is occurring when we run the "HelloM4A" application on API 7

Environment:
MT 5.0.4
MD 2.8.5
M4A 4.0.1
Snowleopard 10.6
Comment 13 Saurabh 2011-12-13 06:23:45 UTC
Same issue is occurring when we run the "HelloWorld" application on API 7

Environment:
MT 5.0.4
MD 2.8.5
M4A 4.0.1
Snowleopard 10.6
Comment 14 Saurabh 2011-12-13 08:52:22 UTC
Same issue is occurring when we run the "SkeltonApp" application on API 7

Environment:
MT 5.0.4
MD 2.8.5
M4A 4.0.1
Snowleopard 10.6
Comment 15 Ian 2012-03-06 18:08:54 UTC
We are getting similar issues running MonoDroid 4.0.6 on MonoDevelop 2.8
Comment 16 Eric Beisecker 2012-03-15 17:08:06 UTC
Hello Ian,

Can you elaborate on the error your seeing? I followed the original Bug report and was able to build a MfA application targeting Android 2.1 API level and run it on an API Level 7 Emulator.
Comment 17 Ian 2012-03-15 18:18:52 UTC
Hi,

I don't have more really than that.

Ian
Comment 18 Jonathan Pobst 2012-04-25 16:20:32 UTC
Dupe, trying to run API8+ samples on API7.

*** This bug has been marked as a duplicate of bug 2491 ***
Comment 19 Mohit Kheterpal 2013-05-23 07:30:18 UTC
Today we have check this issue with following builds :

Windows 7 / 8
MonoDevelop 4.0.7 (build 3)
Mono for Android 4.7.07004
Target Framework 2.1

Now we can able to Deploy Button sample application on API 7 emulator with
target framework 2.1 without any error.

Hence closing this issue.